igeo

## Interface ITensionI

- All Known Subinterfaces:
    ISpringI, IStraightenerI
  All Known Implementing Classes:
    ISpacingEqualizer, ISpring, ISpringLine, IStraightener, IStraightenerCurve, ITension, ITensionLine, ITensionLineOnCurve, ITensionOnCurve

      public interface ITensionI

  Interface API of tension classes
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `defaultTension`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `constant()` if constantTension is true, amount of force is always constant and it's equals to tension.
    `ITensionI` | `constant(boolean cnst)` if constantTension is true, amount of force is always constant and it's equals to tension.
    `double` | `maxTension()` if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension if constant is set, maxTension is ignored.
    `ITensionI` | `maxTension(double maxTension)` if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension if constant is set, maxTension is ignored.
    `IParticleI` | `particle(int i)` alias of pt(int)
    `IParticleI` | `particle1()` alias of pt1()
    `IParticleI` | `particle2()` alias of pt2()
    `IVec` | `pos(int i)` position of particle(i)
    `IVec` | `pos1()` position of particle1
    `IVec` | `pos2()` position of particle1
    `IParticleI` | `pt(int i)` getting end point.
    `IParticleI` | `pt1()` getting end point1.
    `IParticleI` | `pt2()` getting end point2.
    `double` | `tension()` tension is a coefficient to convert distance of two points to amount of force.
    `ITensionI` | `tension(double tension)` tension is a coefficient to convert distance of two points to amount of force.

- - ### Field Detail

    - #### defaultTension

          static final double defaultTension

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### tension

          double tension()

      tension is a coefficient to convert distance of two points to amount of force.

    - #### tension

          ITensionI tension(double tension)

      tension is a coefficient to convert distance of two points to amount of force.

    - #### constant

          boolean constant()

      if constantTension is true, amount of force is always constant and it's equals to tension. Only direction of force changes. But if the distance is zero, force is also zero.

    - #### constant

          ITensionI constant(boolean cnst)

      if constantTension is true, amount of force is always constant and it's equals to tension. Only direction of force changes. But if the distance is zero, force is also zero.

    - #### maxTension

          double maxTension()

      if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension if constant is set, maxTension is ignored.

    - #### maxTension

          ITensionI maxTension(double maxTension)

      if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension if constant is set, maxTension is ignored.

    - #### pt

          IParticleI pt(int i)

      getting end point. i==0 or i==1

    - #### particle

          IParticleI particle(int i)

      alias of pt(int)

    - #### pos

          IVec pos(int i)

      position of particle(i)

    - #### pt1

          IParticleI pt1()

      getting end point1.

    - #### particle1

          IParticleI particle1()

      alias of pt1()

    - #### pos1

          IVec pos1()

      position of particle1

    - #### pt2

          IParticleI pt2()

      getting end point2.

    - #### particle2

          IParticleI particle2()

      alias of pt2()

    - #### pos2

          IVec pos2()

      position of particle1